apiVersion: projectcalico.org/v3
kind: IPPool
metadata:
  name: calico-ippool
spec:
  cidr: "{{ k8s_network_pod_subnet }}"
  ipipMode: "{{ k8s_network_calico_ipipmode }}"
  natOutgoing: true
  disabled: false
  nodeSelector: all()

{% if dualstack_support %}
---
apiVersion: projectcalico.org/v3
kind: IPPool
metadata:
  name: calico-ippool-v6
spec:
  cidr: "{{ k8s_network_pod_subnet_v6 }}"
  ipipMode: "{{ k8s_network_calico_ipipmode }}"
  natOutgoing: false
  disabled: false
  nodeSelector: all()
{% endif %}
